      subroutine banner( routine )

      implicit none



	character routine*(*)

      include 'version.inc'
      include 'defaults.inc'
      include 'ctrlblk.inc' 
      include 'io.inc' 
      include 'infoblk.inc'
      include 'bdate.inc'

      integer lr, lnblnk
      character*6 progprec
      logical SINGLE


      lr = lnblnk( routine )

      call precision( SINGLE )
      if( SINGLE ) then
        progprec = 'SINGLE'
      else
        progprec = 'DOUBLE'
      endif

      if( iprint.ge.1 ) then
        write(*,*)' '
        write(*,*)' >>>>>>>>>>>>> '//routine(:lnblnk(routine))//
     &            ' <<<<<<<<<<<<<<<<<'
        write(*,*)' '
        write(*,*)'           version = ', ver
        write(*,*)'build date = ', bdate
        write(*,*)' '
        if( SINGLE ) then
        write(*,*)'        SINGLE PRECISION version'
        else
        write(*,*)'        DOUBLE PRECISION version'
        endif
        write(*,*)' '
        write(*,*)'It is assumed that this program is being run from'
        write(*,*)'the database directory of the project '
        write(*,*)'(e.g. /local/mt/lims/nod)  '
        write(*,*)'and that all data files reside in subdirectories'
        write(*,*)'with the respective station names '
        write(*,*)'(e.g. /local/mt/lims/nod/nod001 nod002 etc.)'
        write(*,*)' '
        write(*,*)'windows and hardware database files are required'
        write(*,*)'(e.g. windows.nod & hardware.nod) '
        write(*,*)' '
      else
        write(*,*)' '
        write(*,'(a)')routine(:lnblnk(routine))//': ver='//ver
     &                //'   '//progprec//' precision'
        write(*,*)' '
      endif

      return
      end
