      subroutine ts_prtinfo

      include 'infoblk.inc'
      include 'defaults.inc'

      write(*,*)'Information block from input file...'
      write(*,*)'STATION   :', stat
      write(*,*)'INSTRUMENT:', instrument
      write(*,*)'WINDOW    :', window
      write(*,*)'LATITUDE  :', lat
      write(*,*)'LONGITUDE :', long
      write(*,*)'ELEVATION :', elev
      write(*,*)'UTM_ORIGIN:', utmorigin

      write(*,*)'UTM_NORTH :', utmn

      write(*,*)'UTM_EAST  :', utme

      write(*,*)'COORD_SYS :', azdir

      write(*,*)'DECLIN    :', declination

      write(*,*)'FORM      :', form
      write(*,*)'FORMAT    :', format
      write(*,*)'FORM_TYPE :', formtype

      write(*,*)'FORM_LEN  :', formlen

	write(*,*)'ENDIAN    :', endian

	write(*,*)'BIN_FORM  :', binform

      write(*,*)'SEQ_REC   :', seq_rec

      write(*,*)'NCHAN     :', nchan
      do i = 1, nchan
        write(*,*)'Channel......:', i
        write(*,*)'CHAN    :', chan(i)
        write(*,*)'AZIM    :', azim(i)
        write(*,*)'GAIN    :', gain(i)
        write(*,*)'UNITS   :', units(i)
        if( chan(i)(1:1).eq.'H' ) then
          write(*,*)'BASELINE:', baseline(i)
        endif
      enddo
      write(*,*)'STARTTIME :', starttime
      write(*,*)'ENDTIME   :', endtime
      write(*,*)'T_UNITS   :', tunits
      write(*,*)'DELTA_T   :', delta
      write(*,*)'MIS_DATA  :', misdat

      return
      end

