	subroutine word1 (line, word, lword)
c removes the first word from line, and puts it in word.  lword is its length.
c        implicit none
	character*(*) line, word, delims(5)*1
	integer lword, lline, ndelim, idelim, iword

c--set no. of delimeters and delimeters here
	data ndelim/2/
c--space and comma set as delimeters
	data delims/' ', ',', ' ', ' ', ' '/

	lline = len(line)

c truncate leading and trailing delimeters and get length into lline

      call truncd( line, lline, ndelim, delims )

c--check for blank line

	if (lline.eq.0) then		
c--line is empty.
		word = ' '
		lword = 0
		line = ' '		
c--to force reading of new line.

	else 

c get first word.
c find next delimiter.

		lword=0
		do idelim=1,ndelim
			iword=index(line(:lline),delims(idelim))
			if(iword.ne.0)then
				if(lword.eq.0) then
					lword=iword
				else
					lword=min(lword,iword)
				end if
			end if
		end do

		if (lword .eq. 0) then
c           whole rest of line is a word.
			lword = lline
			word = line
			line = ' '
		else
			word = line (1:lword-1) 
			line = line (lword+1:lline)
		end if
	end if

	end 
