#!/bin/csh  -fll .l*

#
#  lims_mphead
#
#  runs "mphead" to give the header of a ts file
#

onintr exit

set old=$cwd

set scripts_dir = `cat .lims.scripts_dir`
set execs_dir   = `cat .lims.execs_dir`

start:
set root = ` `

set stn      = `cat .lims.stn`
set dbase    = `cat .lims.dbase`
set stn_dir  = `cat .lims.stn_dir`
set lims_dir = `cat .lims.lims_dir`


cd $stn_dir


window:
  echo  ' ' 
  echo  '  WINDOWS FOUND IN: '$stn_dir
  echo  ' '
  ls *.ts
  echo  ' ' 
  echo ' Enter Run number & Window (no extension) (e.g. a1) '
window_select:
  echo ' '
  echo -n 'Window? ===> '$root
  set window=$<
  set window=$stn$window
  set tmp=$window'.ts'
  if( -e $tmp ) then
    echo 'Window selected =>'$window'.ts'
  else
    echo 'Window not found; re-select'
    goto window_select
  endif

cd $lims_dir$dbase

mphead:
  echo $execs_dir'/mphead    > .lims.mphead.out  <<END'  >> .lims_mphead.$$
  echo $window               >> .lims_mphead.$$   #window to plot
  echo 'END'                 >> .lims_mphead.$$   #END

  chmod +x .lims_mphead.$$
  /bin/csh .lims_mphead.$$
  cat .lims.mphead.out
  rm .lims.mphead.out .lims_mphead.$$


exit:
cd $old
