#!/bin/csh  -f
#
#  lims_save
#
#  copies existing .dat files to save filename
#

onintr exit

set old=$cwd


if ( $#argv == 0 ) then
  set dev = 3
  set back = n
else
  set dev = 1
  if ( $#argv == 2 ) then
    set back = y
  else
    set back = n
  endif
endif


start:
set root = ` `

set stn      = `cat .lims.stn`
set dbase    = `cat .lims.dbase`
set stn_dir  = `cat .lims.stn_dir`
set lims_dir = `cat .lims.lims_dir`

#---list existing save files
cd $stn_dir

  echo  ' ' 
  echo  '  SAVE DATA FILES FOUND IN: '$stn_dir
  echo  '                       (in chronological order)'
  echo  ' ' 
  ls -1rt *.dat.*

  echo ' '
  echo -n 'Give save data filename:'$root
  set save=$<

  if( -e $stn'l.dat' ) then
    cp $stn'l.dat' $stn'l.dat.'$save
    echo 'Saved local   lims processed data file'
  endif

  if( -e $stn'r.dat' ) then
    cp $stn'r.dat' $stn'r.dat.'$save
    echo 'Saved remote  lims processed data file'
  endif

  if( -e $stn'cl.dat' ) then
    cp $stn'cl.dat' $stn'cl.dat.'$save
    echo 'Saved local  chave processed data file'
  endif

  if( -e $stn'cr.dat' ) then
    cp $stn'cr.dat' $stn'cr.dat.'$save
    echo 'Saved remote chave processed data file'
  endif

exit:
  cd $old

