      implicit none

      character*19 stime, etime
      character*2 cprint
      integer tdiff, dd, hh, mm, ss, length
      external tdiff

      integer narg, iargc

      include 'ctrlblk.inc'
      include 'io.inc'

      narg = iargc()
      if( narg.ge.1 ) then
        call getarg( 1, cprint)
        read(cprint,'(i2)') iprint
      else
        iprint = 0
      end if
      call iin( 'Give print level (-1/0/1)', iprint )

      stime = '1992-01-01 00:00:00'
      call tin( 'Give start time', stime )

      etime = '1992-01-01 00:00:00'
      call tin( 'Give end   time', etime )

      length = tdiff( stime, etime )

      dd = length / (60*60*24)
      hh = (length - dd*60*60*24) / (60*60)
      mm = (length - dd*60*60*24 - hh*60*60) / 60
      ss =  length - dd*60*60*24  - hh*60*60 - mm*60

      if( iprint.ge.1 ) then
        write(*,*) 'length in s =', length
        write(*,*) 'dd          =', dd
        write(*,*) 'hh          =', hh
        write(*,*) 'mm          =', mm
        write(*,*) 'ss          =', ss
      endif

      if( iprint.ge.0 ) then
        write(*,'(a,i4.4,3i2.2)') 'Duration (ddddhhmmss) = ', 
     &                            dd, hh, mm, ss
      else
        write(*,'(i4.4,3i2.2)') dd,hh,mm,ss
      end if



 9999 stop
      end
