      character stat*6, window*8, proj*3, fname*20, windowx*8,
     &          statx*6
      character*19 stime, etime, stimex, etimex, ostime, oetime
      character*2 cprint
      integer osecs, tdiff, dd, hh, mm, ss
      external tdiff

      logical SAME_DELTA, REJECT_SPLICE

      include 'ctrlblk.inc'
      include 'io.inc'

      narg = iargc()
      if( narg.ge.1 ) then
        call getarg( 1, cprint)
        read(cprint,'(i2)') iprint
      else
        iprint = 0
      end if
      call iin( 'Give print level (-1/0/1/2)', iprint )


      window = 'nod001a1'
1     call tin( 'Give window', window )
      stat = window(1:6)

      proj = window(1:3)
      fname = 'windows.'//proj
      open(unit=4,file=fname)
      if( iprint.ge.1 ) write(*,*)'Opened windows file =>', fname

      SAME_DELTA = .TRUE.
      call lin ('Are same delta (sampling rates required ?)',
     &     SAME_DELTA)

      REJECT_SPLICE = .FALSE.
      call lin ('Reject spliced data?', REJECT_SPLICE )

      nwind = 0
      do while (loop.eq.0)
5       read(4,1002,end=10,err=5) windowx, instr, nchan, 
     &                            stime, etime, delta
        if( windowx(1:1).eq.'#' .or. windowx(1:1).eq.' ' ) goto 5
        if( iprint.eq.2 ) then
          write(*,1002) windowx, instr, nchan, stime, etime, delta
        end if
        nwind = nwind+1
        if( window.eq.windowx ) goto 20
      end do
10    write(*,*)'Window not found in windows file =>', window,
     &          '   --- re-enter'
      goto 1

20    if( iprint.ge.0 ) write(*,*)'Window found =', window,'  time =', 
     &           stime,'-', etime
      rewind(4)

      write(*,*)' '

      do 30 while (loop.eq.0)
25      read(4,1002,end=9999,err=25) windowx, instr, nchan, 
     &        stimex, etimex, deltax
        if( windowx(1:1).eq.'#' .or. windowx(1:1).eq.' ' ) goto 25
        if( iprint.eq.2 ) then
           write(*,1002) windowx, instr, nchan, stimex, etimex, deltax
        end if
        statx = windowx(1:6)
        if( stat.eq.statx ) goto 30
        if( SAME_DELTA ) then
           if( delta.ne.deltax )then
              goto 30
           endif
        endif
        if ( REJECT_SPLICE ) then
          if ( windowx(7:8).eq.'xs' .or. windowx(7:8).eq.'as' ) then
            goto 30
          endif
        endif
        if( etimex.le.stime .or. stimex.ge.etime ) goto 30
        if( iprint.ge.1 ) write(*,*)'Overlapping window found:',
     &    ' window=',windowx, '  start=', stimex,'  end=', etimex
        if( stime.gt.stimex ) then
          ostime = stime
        else
          ostime = stimex
        end if
        if( etime.lt.etimex ) then
          oetime = etime
        else
          oetime = etimex
        end if
        osecs  = tdiff( ostime, oetime )
        dd = osecs / (60*60*24)
        hh = (osecs - dd*60*60*24) / (60*60)
        mm = (osecs - dd*60*60*24 - hh*60*60) / 60
        ss =  osecs - dd*60*60*24 - hh*60*60 - mm*60
        write(*,'(6a,i4.4,a1,3(i2.2,a1))') windowx,': overlap=', 
     &            ostime,'-',oetime,' duration (dddd-hh:mm:ss) =', 
     &            dd,'-',hh,':',mm,':',ss
30    continue

 9999 stop

 1002 format(a8,1x,i3,1x,i1,1x,a19,'-',a19,1x,f6.3)
      end
