      integer maxwin
      parameter( maxwin = 5000 )

      integer ind, oud, i, j, k, nwin, bmm, bdd
      integer yy, mm, dd, hh, min, ss, dur

      integer   lbox(maxwin), nchan(maxwin), stsec(maxwin)
      integer   ensec(maxwin), tmin, tmax, temp_tmax, ensec_old

      real      delta(maxwin), scale, deltaold

      character infile*80, pre*3, window(maxwin)*8
      character stime(maxwin)*10, etime(maxwin)*10, window_old*8
      logical   newpage
c 
      ss = 0
      ind = 1 
      oud = 2 
   60 call tin ('Give survey prefix ', pre)
      infile = 'windows.'//pre
      open(unit=ind,file=infile,status='old',err=9998)
      i = 0
      do while(.true.)
        i = i + 1
        read(ind,2000,end=10,err=10) window(i), lbox(i), nchan(i), 
     >                               stime(i), etime(i), delta(i)
        if(index(window(i),'as').ne.0) i=i-1
        if(index(window(i),'x').ne.0)  i=i-1
        if(index(window(i),'y').ne.0)  i=i-1
      end do
 2000 format(a8,1x,i3.3,1x,i1,1x,a10,'-',a10,1x,f6.3)

   10 close(unit=ind)
      nwin = i-1
      call date(0,stime(1),yy,mm,dd,hh,min)
      call consec(tmin,yy,mm,dd,hh,min,ss)
      tmax = 0 
      do i = 1, nwin
        call date(0,stime(i),yy,mm,dd,hh,min)
        call consec(stsec(i),yy,mm,dd,hh,min,ss)
        if(stsec(i).lt.tmin) then
          tmin = stsec(i)
          bmm  = mm
          bdd  = dd
        end if
c
        call date(0,etime(i),yy,mm,dd,hh,min)
        call consec(ensec(i),yy,mm,dd,hh,min,ss)
        tmax = max(tmax,ensec(i)) 
      end do
      dur = tmax - tmin
      open(unit=oud,file='windows.'//pre//'.ps',status='unkown')
      write(oud,*) '%!'
      write(oud,*) '%%Page: 1 1'
      write(oud,*) '/rshow{gsave t 90 r 0 setgray bshow grestore}def'
      write(oud,*) '/cshow{gsave t 90 r dup stringwidth pop -2 div 0 t' 
      write(oud,*) ' bshow grestore} def'
      write(oud,*) '/lshow{gsave t 90 r dup stringwidth pop neg 0 t' 
      write(oud,*) ' 0 setgray bshow grestore} def'
      write(oud,*) '/bshow{dup stringwidth pop /h size def/d exch def'
      write(oud,*) ' gsave 1 setgray n 0 -2 m 0 h l d h l d -2 l'
      write(oud,*) ' closepath fill s grestore 0 0 m show}def' 
      write(oud,*) '/size 12 def /dely size 2 mul def'
      write(oud,*) '/l {lineto} def/m {moveto} def/n {newpath} def'
      write(oud,*) '/s {stroke} def /ml{/x2 exch def/x1 exch def'
      write(oud,*) '/y1 exch def n y1 4 add x1 m y1 4 sub x1 l'
      write(oud,*) 'y1 x1 m y1 x2 l y1 4 add x2 m y1 4 sub x2 l s } def'
      write(oud,*) '/t{translate}def/r{rotate}def 100 50 t'
      write(oud,*) '/Helvetica findfont size scalefont setfont'
      scale = 36.0/86400.0
      write(oud,*) '/y 0 def'
c
c write out day markers
c
      temp_tmax = tmin + 86400*20
      call days(oud,yy,bmm,bdd,temp_tmax,tmin,scale)
c
c write out the window times
c
      k = 2
      j = 1
      deltaold = 0.0
      window_old = ' ' 
      newpage = .true.
      do i = 1, nwin
c
        if(window(i)(1:6).ne.window_old(1:6)) then
          if(stsec(i).gt.tmin+86400*10) then
            write(oud,*) '%%Page: ',k,k
            k = k + 1
            write(oud,*) '/y 0 def'
            call seccon(stsec(i),yy,bmm,bdd,hh,mm,ss)
            call consec(tmin,yy,bmm,bdd,ss,ss,ss)
            temp_tmax = tmin + 86400*20
            call days(oud,yy,bmm,bdd,temp_tmax,tmin,scale)
            newpage = .true.
          end if
        end if
c
        stsec(i) = stsec(i) - tmin
        ensec(i) = ensec(i) - tmin
        if(delta(i).ne.deltaold) then
          if(nint(delta(i)).eq.1)     write(oud,*) '1 0 0 setrgbcolor'
          if(nint(1./delta(i)).eq.5)  write(oud,*) '0 1 0 setrgbcolor'
          if(nint(1./delta(i)).eq.30) write(oud,*) '0 0 1 setrgbcolor'
          deltaold = delta(i)
        end if

        if(window(i)(1:6).ne.window_old(1:6)) then
          if(.not.newpage) then
            write(oud,3) window_old(1:6), nint(ensec_old*scale)+4
3           format('(',a6,') y size 2 div add ',i8,' rshow')
          end if
c
          write(oud,*) '/y y dely add def'
          write(oud,4) window(i)(1:6), nint(stsec(i)*scale)-4
4         format('(',a6,') y size 2 div add ',i8,' lshow')
        end if
c
        if(i.eq.nwin)write(oud,3) window(i)(1:6),nint(ensec(i)*scale)+4
        write(oud,1) nint(stsec(i)*scale), nint(ensec(i)*scale)
1       format('y ',i8,1x,i8,' ml')
        write(oud,2) window(i)(7:8), nint((ensec(i)+stsec(i))*scale/2.)
2       format('(',a2,') y 2 sub ',i8,' cshow')
        window_old = window(i)
        ensec_old = ensec(i)
        newpage = .false.
      end do
      write(oud,*) 'showpage'
      close(unit=oud)
      stop
 9998 continue
      write(*,*)'windowplot: unable to open '//infile
      goto 60
      end
c---------------------------------------------------------------------
      subroutine days(oud,yy,bmm,bdd,tmax,tmin,scale)
c---------------------------------------------------------------------
      integer   time, yy, bmm, bdd, tmax, tmin, dd, mm, ss, tt, oud
      real      scale
c
      ss = 0
      write(oud,*) '0.5 setgray'
      call consec(time,yy,bmm,bdd,ss,ss,ss)
      do while(time.lt.tmax) 
        tt = nint((time - tmin)*scale)
        write(oud,1) tt, tt 
1       format('n size -2 mul ',i8,' m 500 ',i8,' l s')
        call seccon(time,yy,mm,dd,ss,ss,ss)
        write(oud,2) dd, tt
2       format('(',i2.2,') size -2.2 mul ',i8,' cshow')
        write(oud,3) mm, tt
3       format('(',i2.2,') size -3.4 mul ',i8,' cshow')
        write(oud,4) yy, tt
4       format('(',i2,') size -4.5 mul ',i8,' cshow')
        time = time + 86400
      end do
      return
      end
