c
c     INFOBLCK
c
c     include file containing common blocks for parameters on
c     the info block in ts time series files
c
c    formatting
c    form           Data form. Either BINARY or ASCII
c    format         Data format. Either UNFORMATTED for form=BINARY
c                   or a format statement for form=ASCII e.g. FREE or (5g15.5)
c    formtype       

      character stat*6, window*20
      common/ ts_stat / stat, window

      integer instrument, sensor(5)
      common/ ts_instr / instrument, sensor

      real lat, long, elev, utmorigin
      integer utmzone, utmn, utme
      common/ ts_pos / lat, long, elev, utmorigin, utmzone, utmn, utme

      character form*6, format*15, formtype*15, endian*6, binform*4
      integer formlen, seq_rec
      common/ ts_format / formlen, seq_rec, form, format, formtype,

     &                    endian, binform


      character tunits*5, chan(5)*2, order*10, units(5)*10
      real delta, gain(5), baseline(3), misdat
      integer nchan
      common/ ts_data / nchan, delta, gain, baseline, misdat,
     &                  tunits, chan, order, units

      real azim(5), declination
      character*17 azdir
      common/ ts_azim / azim, declination, azdir

      character starttime*19, endtime*19
      common/ ts_start / starttime, endtime

