      subroutine acspec7( y, s )
 
c     subroutine to take in the auto & cross-spectra in band m of
c     matrix y and write it into s
c
c  August 19, 1992 (Angela Tchen)
c  checked for SUN customization--no changes were required.
 
      real y(49)
      complex s(7,7)
 
c-hxhx
      s(1,1) = cmplx( y(25),  0.0  )
c-hxhy
      s(1,2) = cmplx( y(26),-y(27) )
c-hxex
      s(1,3) = cmplx( y( 4), y( 5) )
c-hxey
      s(1,4) = cmplx( y(15), y(16) )
c-hxhz
      s(1,5) = cmplx( y(28),-y(29) )
c-hxrx
      s(1,6) = cmplx( y(30),-y(31) )
c-hxry
      s(1,7) = cmplx( y(32),-y(33) )
c-hyhx
      s(2,1) = conjg(s(1,2))
c-hyhy
      s(2,2) = cmplx( y(34),  0.0  )
c-hyex
      s(2,3) = cmplx( y( 6), y( 7) )
c-hyey
      s(2,4) = cmplx( y(17), y(18) )
c-hyhz
      s(2,5) = cmplx( y(35),-y(36) )
c-hyrx
      s(2,6) = cmplx( y(37),-y(38) )
c-hyry
      s(2,7) = cmplx( y(39),-y(40) )
c-exhx
      s(3,1) = conjg(s(1,3))
c-exhy
      s(3,2) = conjg(s(2,3))
c-exex
      s(3,3) = cmplx( y( 1),  0.0  )
c-exey
      s(3,4) = cmplx( y( 2),-y( 3) )
c-exhz
      s(3,5) = cmplx( y( 8),-y( 9) )
c-exrx
      s(3,6) = cmplx( y(10),-y(11) )
c-exry
      s(3,7) = cmplx( y(12),-y(13) )
c-eyhx
      s(4,1) = conjg(s(1,4))
c-eyhy
      s(4,2) = conjg(s(2,4))
c-eyex
      s(4,3) = conjg(s(3,4))
c-eyey
      s(4,4) = cmplx( y(14),  0.0  )
c-eyhz
      s(4,5) = cmplx( y(19),-y(20) )
c-eyrx
      s(4,6) = cmplx( y(21),-y(22) )
c-eyry
      s(4,7) = cmplx( y(23),-y(24) )
c-hzhx
      s(5,1) = conjg(s(1,5))
c-hzhy
      s(5,2) = conjg(s(2,5))
c-hzex
      s(5,3) = conjg(s(3,5))
c-hzey
      s(5,4) = conjg(s(4,5))
c-hzhz
      s(5,5) = cmplx( y(41),  0.0  )
c-hzrx
      s(5,6) = cmplx( y(42),-y(43) )
c-hzry
      s(5,7) = cmplx( y(44),-y(45) )
c-rxhx
      s(6,1) = conjg(s(1,6))
c-rxhy
      s(6,2) = conjg(s(2,6))
c-rxex
      s(6,3) = conjg(s(3,6))
c-rxey
      s(6,4) = conjg(s(4,6))
c-rxhz
      s(6,5) = conjg(s(5,6))
c-rxrx
      s(6,6) = cmplx( y(46),  0.0  )
c-rxry
      s(6,7) = cmplx( y(47),-y(48) )
c-ryhx
      s(7,1) = conjg(s(1,7))
c-ryhy
      s(7,2) = conjg(s(2,7))
c-ryex
      s(7,3) = conjg(s(3,7))
c-ryey
      s(7,4) = conjg(s(4,7))
c-ryhz
      s(7,5) = conjg(s(5,7))
c-ryrx
      s(7,6) = conjg(s(6,7))
c-ryry
      s(7,7) = cmplx( y(49),  0.0  )

      return
      end
