      SUBROUTINE HIGH17
      COMPLEX S7

      include 'maxflims.inc'
      integer ntrace, ipre(7), n, i, j, k
      real    cutsh(7), delta, tlen, period, cut1, cut2
      real    sr, si, a1, a2, c1, c2, x, y, corr1, corr2, csum

      COMMON /TRACES7/ IPRE,NTRACE
      COMMON /POWER7/ S7(7,7,MAXF)
      COMMON /TIME/ DELTA,TLEN,PERIOD(MAXF)
      COMMON /CUTSH7/ cutsh
      COMMON N
C
C     SUBROUTINE REMOVES HIGH PASS FILTER RESPONSE
C     FROM THE DATA BY APPLYING A 1ST ORDER BUTTERWORTH
C     POLYNOMIAL
C

c...check that filter needed: return if all cuts set to 0.0
      csum = 0.
      do i = 1, 7
        csum = csum + cutsh(i)
      enddo
      if( csum.eq.0. ) return

      DO 10 i = 1, 7
        cut1 = cutsh(i)
        IF( CUT1.EQ.0. ) CUT1 = 1.E+30
        DO 11 j = 1, 7
          cut2 = cutsh(j)
          IF( CUT2.EQ.0. ) CUT2 = 1.E+30
          IF( CUT1.EQ.1.E+30 .AND. CUT2.EQ.1.E+30 ) GOTO 11
          DO 12 K=1,N
            SR=REAL(S7(I,J,K))
            SI=AIMAG(S7(I,J,K))
            A1=1.0
            A2=1.0
            C1=-(PERIOD(K)/CUT1)
            C2=-(PERIOD(K)/CUT2)
            CORR1=A1*A2+C1*C2
            CORR2=A1*C2-A2*C1
            X=CORR1*SR-CORR2*SI
            Y=CORR2*SR+CORR1*SI
            S7(I,J,K)=CMPLX(X,Y)
   12     CONTINUE
   11   CONTINUE
   10 CONTINUE
 
      RETURN
      END
