      subroutine jsubs7( mt, per, iv, y, z )

	implicit none

      include 'maxflims.inc'

	include 'ctrlblk.inc'
 
      integer iv(MAXF2)
      integer npre, epre, hpre, dpre, zpre, rxpre, rypre
      integer n, ndev, ndevm, ipre, ntrace, nfw, inc
      integer nchan, i, j, if, prterr
      real    worksp, delta, tlen, period, alpha, cutsh, cutsl
      real    ddelta

      real    fmcoh, ocoh, focoh, fpcoh
      real    g12, g13, g14, g16, g17, g26, g27, g23, g24, g34, 

     &        g51, g52

      real    g312, g412, g321, g421, g512, g521, g612, g712
      real    y(MAXF2,49), z(MAXF2,49), ytemp(49), ztemp(49)
      real    per(MAXF), mcoh, r1, r2, prd
      complex s7, t1, t2
      character comp(4)*3, title*20
      character*1 mt

c   mt: character*1 variable
c                   = M: MT  processing
c                   = G: GDS processing
c                   = H: HSG processing
 
c---worksp array must be 2*7*7*nfreq (here=20)
      common /work/ worksp(1000)
      common /time/ delta, tlen, period(MAXF)
      common /power7/ s7(7,7,MAXF)
      common /nwrite/ ndev, ndevm
      common /traces7/ ipre(7), ntrace
      common /pres7/ npre, epre, hpre, dpre, zpre, rxpre, rypre
      common /degf/ nfw(MAXF)
      common /confl/ alpha
      common /event/ title
      common /cutsh7/ cutsh(7) 
      common /cutsl7/ cutsl(7)
      common /contst/ inc, ddelta, prterr, nchan
      common n
 
      data comp/'ZXX', 'ZXY', 'ZYX', 'ZYY' /


c...initialize 
      alpha = 0.32
      ndev = 7
      ndevm = 0


      if( iprint.ge.1 ) then

	  write(*,*)'jsubs7: entered: n =', n

	endif



	if( iprint.ge.10 ) then

	  write(*,*)' IV => '

	  write(*,*)(iv(i),i=1,n)

	endif

 
      if( mt.eq.'M' ) then
        npre = 1
        epre = 1
        ntrace = 7
        do i = 1, 7
          ipre(i) = i
        enddo
      else
        npre = 0
        epre = 0
        ntrace = 5
        ipre(1) = 1
        ipre(2) = 2
        do i = 5, 7
          ipre(i-2) = i
        enddo
      endif
      hpre = 1
      dpre = 1
      zpre = 1
      rxpre = 1
      rypre = 1
 
      n = 0
      do i = 1, 10
        if( iv(i).eq.0 ) goto 10
        period(n+1) = per(n+1)
        period(n+2) = per(n+2)
        nfw(n+1) = iv(i)
        nfw(n+2) = iv(i)
        do j = 1, 49
          ytemp(j) = y(i,j)
          ztemp(j) = z(i,j)
        enddo
        call acspec7( ztemp, s7(1,1,n+1))
        call acspec7( ytemp, s7(1,1,n+2))
        n = n + 2
      enddo
 
 
10    write( 7, 1001 ) title(:8)
1001  format ( 3(/), 1x, 75('*'),/,1x,'*',73x,'*',/,1x,'*',4x,a,t76,
     &         '*',/,1x,'*',73x,'*',/,1x,75('*') )

 
c---correct for instrument response: DONE IN tsrestack CODE
c      call low
c      call high

      write(7,*)' '
      write(7,*)'Number of degrees of freedom:'
      write(7,*)' '
      write(7,*)'              Period            ndeg '
      do if = 1, n
        if( period(if).gt.1. ) then
          prd = period(if)
        else
          prd = -1./period(if)
        endif
        write(7,*)'           ', prd, '        ', 2*nfw(if)
      enddo

      if( prterr.ge.1 ) then
        write(7,*)'Final spectral matrices ==>'
        do if = 1, n
          write(7,*) ' Period ==>', period(if)
          do i = 1, 7
            do j = i, 7
              write(7,*) i, j, s7(i,j,if)
            end do
          end do
        end do
        write(7,*)' '
      end if

      write(7,*)' '
      write(7,*)'These values are not corrected for any low- or '//
     &          'high-pass filtering (if any)'
      write(7,*)' '
 
      write(7,*)'Power Spectra ==> '
      write(7,*)'Period              Hx           Hy           Ex  ',
     &               '         Ey           Hz  '
      do if = 1, n
        if( period(if).gt.1. ) then
          prd = period(if)
        else
          prd = -1./period(if)
        endif
        write(7,'(g11.4,1x,5g15.6)') prd, (real(s7(j,j,if)),j=1,5)
      enddo
      write(7,*)' '

      write(7,*)'Ordinary coherences ==>'
      write(7,*)'Period      g12  g13  g14  g23  g24  ',
     &          'g34  g16  g17  g26  g27  g51  g52'
      do if = 1, n
        if( period(if).gt.1. ) then
          prd = period(if)
        else
          prd = -1./period(if)
        endif
        g12 = focoh( 7, s7(1,1,if), 1, 2 )
        g13 = focoh( 7, s7(1,1,if), 1, 3 )
        g14 = focoh( 7, s7(1,1,if), 1, 4 )
        g23 = focoh( 7, s7(1,1,if), 2, 3 )
        g24 = focoh( 7, s7(1,1,if), 2, 4 )
        g34 = focoh( 7, s7(1,1,if), 3, 4 )
        g16 = focoh( 7, s7(1,1,if), 1, 6 )
        g17 = focoh( 7, s7(1,1,if), 1, 7 )
        g26 = focoh( 7, s7(1,1,if), 2, 6 )
        g27 = focoh( 7, s7(1,1,if), 2, 7 )
        g51 = focoh( 7, s7(1,1,if), 5, 1 )
        g52 = focoh( 7, s7(1,1,if), 5, 2 )
        write(7,2002) prd, g12, g13, g14, g23, g24, 
     &                    g34, g16, g17, g26, g27, g51, g52
      enddo

      write(7,*)' ' 
      write(7,*)'Multiple coherences ==>'
      write(7,*)'Period      g312  g412  g512  g612  g712'
      do if = 1, n
        if( period(if).gt.1. ) then
          prd = period(if)
        else
          prd = -1./period(if)
        endif
        g312 = fmcoh( 7, s7(1,1,if), 3, 1, 2 )
        g412 = fmcoh( 7, s7(1,1,if), 4, 1, 2 )
        g512 = fmcoh( 7, s7(1,1,if), 5, 1, 2 )
        g612 = fmcoh( 7, s7(1,1,if), 6, 1, 2 )
        g712 = fmcoh( 7, s7(1,1,if), 7, 1, 2 )
        write(7,2003) prd, g312, g412, g512, g612, g712
      end do
      write(7,*)' ' 


      write(7,*)' ' 
      write(7,*)'Partial coherences ==>'
      write(7,*)'Period     g31.2 g32.1 g41.2 g42.1 g51.2 g52.1'
      do if = 1, n
        if( period(if).gt.1. ) then
          prd = period(if)
        else
          prd = -1./period(if)
        endif
        g312 = fpcoh( 7, s7(1,1,if), 3, 1, 2 )
        g321 = fpcoh( 7, s7(1,1,if), 3, 2, 1 )
        g412 = fpcoh( 7, s7(1,1,if), 4, 1, 2 )
        g421 = fpcoh( 7, s7(1,1,if), 4, 2, 1 )
        g512 = fpcoh( 7, s7(1,1,if), 5, 1, 2 )
        g521 = fpcoh( 7, s7(1,1,if), 5, 2, 1 )
        write(7,2003) prd, g312, g321, g412, g421, g512, g521
      enddo
      write(7,*)' ' 

      call plrzn7
      call pha_plrzn7
      call cohmax7


      write(7,*)'GDS transfer function ==>'
      do i = 1, n
        if( period(i).gt.1. ) then
          prd = period(i)
        else
          prd = -1./period(i)
        endif
        call trfn( 7, s7(1,1,i), 1, 2, 6, 7, 5, t1, t2 )
        mcoh = fmcoh( 7, s7(1,1,i), 5,  1, 2 )
        ocoh = focoh( 7, s7(1,1,i), 1, 2 )
        call rccf2( 2*nfw(i), mcoh, ocoh, real(s7(5,5,i)),
     &              real(s7(1,1,i)), r1 )
        call rccf2( 2*nfw(i), mcoh, ocoh, real(s7(5,5,i)),
     &              real(s7(2,2,i)), r2 )
        write(7,2001) prd, t1, t2, r1, r2
      end do
      write(7,*)' '

      if( mt.ne.'M' ) goto 9999
 
      write(7,*)'MT transfer function Ex (Hx,Hy) ==>'
      do i = 1, n
        if( period(i).gt.1. ) then
          prd = period(i)
        else
          prd = -1./period(i)
        endif
        call trfn( 7, s7(1,1,i), 1, 2, 6, 7, 3, t1, t2 )
        mcoh = fmcoh( 7, s7(1,1,i), 3,  1, 2 )
        ocoh = focoh( 7, s7(1,1,i), 1, 2 )
        call rccf2( 2*nfw(i), mcoh, ocoh, real(s7(3,3,i)),
     &              real(s7(1,1,i)), r1 )
        call rccf2( 2*nfw(i), mcoh, ocoh, real(s7(3,3,i)),
     &              real(s7(2,2,i)), r2 )
        write(7,2001) prd, t1, t2, r1, r2
      end do
      write(7,*)' '
      write(7,*)'MT transfer function Ey (Hx,Hy) ==>'
      do i = 1, n
        if( period(i).gt.1. ) then
          prd = period(i)
        else
          prd = -1./period(i)
        endif
        call trfn( 7, s7(1,1,i), 1, 2, 6, 7, 4, t1, t2 )
        mcoh = fmcoh( 7, s7(1,1,i), 4,  1, 2 )
        ocoh = focoh( 7, s7(1,1,i), 1, 2 )
        call rccf2( 2*nfw(i), mcoh, ocoh, real(s7(4,4,i)),
     &              real(s7(1,1,i)), r1 )
        call rccf2( 2*nfw(i), mcoh, ocoh, real(s7(4,4,i)),
     &              real(s7(2,2,i)), r2 )
        write(7,2001) prd, t1, t2, r1, r2
      end do
 
 9999 return

 2001 format(1x,f10.3,2x,2g10.3,1x,2g10.3,1x,2g10.3)
 2002 format(1x,f10.3,12f5.2)
 2003 format(1x,f10.3,12f6.2)
      end
