      subroutine chkend(sysend)

	implicit none



	include 'ctrlblk.inc'


      character*6 sysend
 

      INTEGER*4

     *              I,

     *              ASCII_0, ASCII_1, ASCII_2, ASCII_3



      PARAMETER(

     *              ASCII_0 =       48,

     *              ASCII_1 =       49,

     *              ASCII_2 =       50,

     *              ASCII_3 =       51)





      I = ASCII_0 + ASCII_1*256 + ASCII_2*(256**2) + ASCII_3*(256**3)



      IF (I .EQ. '0123') THEN

        if(iprint.ge.1) WRITE(*,*) 'chkend: machine is Little-Endian'

	  sysend = 'Little'

      elseIF (I .EQ. '3210') THEN

        if(iprint.ge.1) WRITE(*,*) 'chkend: machine is Big-Endian'

	  sysend = 'Big'

      else

        if(iprint.ge.1) WRITE(*,*) 'chkend: machine is Mixed-Endian'

	  sysend = 'Mixed'      

      ENDIF



      RETURN

      END
