      subroutine truncd (line, length, ndelim, delims)
      character line*(*), delims(*)*1
      integer length, start
c
c this routine trims leading and trailing delimeters defined in array delims 
c from 'line', returning
c its new size in 'length'.  the actual length of the string remains
c unchanged; it is padded on the right with blanks if leading blanks are
c removed, but 'length' is not increased.
c
 
c---get original length
      length = len( line )
      if( length.eq.0 ) return

c---loop round for each delimeter
 
      do 100 idelim = 1, ndelim

c---strip off delimeters from beginning of line
        do 10 start = 1, length
          if( line(start:start).ne.delims(idelim) ) goto 11
   10   continue
        length = 0
        return
 
   11   line(1:length-start+1) = line(start:length)
	length=length-start+1

        do 20 start = length, 1, -1
          if( line(start:start).ne.delims(idelim) ) goto 21
   20   continue
        length = 0
        return

   21   length = start

  100 continue

      line(length+1:)=' '

      return
      end
