c
c     reads a LIMS site.flt file and converts the coords into input for
c     GMT plotting
c
      real lat, lon

      integer sitenum
      integer latdeg, latmin, latsec
      integer londeg, lonmin, lonsec

      character fin*11, desc*20, north*1, north*1, line*44

      fin = 'tbt'
      write(*,'(a,$)') 'Give survey code [default: '//fin(1:3)//
     &                 '] >'
      read(*,'(a)') fin(1:3)

      if( fin(1:3).eq.' ' ) fin(1:3) = 'tbt'

      fin(4:11) = 'site.flt'

      open(unit=4,file=fin,status='OLD',err=9001)
      write(*,*)'Opened  input file >', fin
      open(unit=7,file='flt2gmt.out')
      write(*,*)'Opened output file >flt2gmt.out'

      do while(.TRUE.)

        read(4,'(a)',end=9999) line
        write(*,*)'Line read in >', line

c        read(line,'(i3,a20,3(i2,1x),a1,3(i2,1x),a1)') 
c     &         sitenum, desc, latdeg, latmin, latsec, north,
c     &                        londeg, lonmin, lonsec, north


        read(line( 1: 3),'(i3)') sitenum
        read(line( 4:23),'(a20)') desc
        write(*,*) 'Latdeg >', line(24:25)
        write(*,*) 'Latmin >', line(27:28)
        write(*,*) 'Latsec >', line(30:31)
        write(*,*) 'Londeg >', line(34:36)
        write(*,*) 'Lonmin >', line(38:39)
        write(*,*) 'Lonsec >', line(41:42)
        read(line(24:25),'(i2)',err=1001) latdeg
        goto 1002
1001    latdeg = 0
1002    read(line(27:28),'(i2)',err=1003) latmin
        goto 1004
1003    latmin = 0
1004    read(line(30:31),'(i2)',err=1005) latsec
        goto 1006
1005    latsec = 0
1006    read(line(33:33),'(a1)') north
        read(line(34:36),'(i3)',err=1007) londeg
        goto 1008
1007    londeg = 0
1008    read(line(38:39),'(i2)',err=1009) lonmin
        goto 1010
1009    lonmin = 0
1010    read(line(41:42),'(i2)',err=1011) lonsec
        goto 1012
1011    lonsec = 0
1012    read(line(44:44),'(a1)') east

        lat = float(latdeg) + float(latmin)/60. + float(latsec)/3600.
        lon = float(londeg) + float(lonmin)/60. + float(lonsec)/3600.

10      if( east.eq.'E' ) then
          continue
        else if( east.eq.'W' ) then
          lon = -lon
        else
          write(*,*)'Unrecognised character for latitude: Not E or W',
     &              ' character >', east
          write(*,'(a,$)') 'Give latitude E(ast) or W(est) >'
          read(*,'(a)') east
          if( east.eq.'e' ) east = 'E'
          if( east.eq.'w' ) east = 'W'
          goto 10
        endif


20      if( north.eq.'N' ) then
          continue
        else if( north.eq.'S' ) then
          lat = -lat
        else
          write(*,*)'Unrecognised character for lonitude: Not E or W',
     &              ' character >', north
          write(*,'(a,$)') 'Give longitude N(orth) or S(outh) >'
          read(*,'(a)') north
          if( north.eq.'n' ) north = 'N'
          if( north.eq.'s' ) north = 'S'
          goto 20
        endif

        write(7,*) lon, lat, '   ', sitenum, '    ', desc

      enddo



9999  stop 'EOF found'

9001  write(*,*)'File not found >', fin
      stop

      end
