      character proj*3, fname*20, window*8
      character*1910 stime, etime, stimex, etimex, ostime, oetime
      character*2 cprint
      integer otime, tdiff, dd, hh, mm
      external tdiff


      include 'ctrlblk.inc'
      include 'io.inc'

      narg = iargc()
      if( narg.ge.1 ) then
        call getarg( 1, cprint)
        read(cprint,'(i2)') iprint
      else
        iprint = 0
      end if
      call iin( 'Give print level (-1/0/1/2)', iprint )

      proj = 'sea'
      call tin ( 'Give project', proj )
      fname = 'windows.'//proj
      open(unit=4,file=fname)
      if( iprint.ge.1 ) write(*,*)'Opened windows file =>', fname


      stime = '1994-03-01 00:00:00'
1     call tin( 'Give start time', stime )
      call trunc( stime, ls )
      if( ls.lt.10 ) then
        write(*,*) 'Start time MUST have yyyy-dd-hh as minimum'
        goto 1
      else if( ls.eq.10 ) then
         stime(ls+1:19) = ' 00:00:00'
      else if( ls.eq.13 ) then
         stime(ls+1:19) = ':00:00'
      else if( ls.eq.16 ) then
         stime(ls+1:19) = ':00'
       endif

      etime = '1994-03-01 00:00:00'
2     call tin( 'Give end   time', etime )
      call trunc( etime, le )
      if( le.lt.10 ) then
        write(*,*) 'End   time MUST have yyyy-mm-dd as minimum'
        goto 1
      else if( ls.eq.10 ) then
         etime(ls+1:19) = ' 00:00:00'
      else if( ls.eq.13 ) then
         etime(ls+1:19) = ':00:00'
      else if( ls.eq.16 ) then
         etime(ls+1:19) = ':00'
       endif


      write(*,*)' '

      do 30 while (loop.eq.0)
        read(4,1002,end=9999) window, instr, nchan, 
     &        stimex, etimex, deltax
        if( iprint.eq.2 ) then
           write(*,1002) window, instr, nchan, stimex, etimex, deltax
        end if

        if( etimex.le.stime .or. stimex.ge.etime ) goto 30

        if( iprint.ge.1 ) write(*,*)'Overlapping window found:',
     &    ' window=',window, '  start=', stimex,'  end=', etimex
        if( stime.gt.stimex ) then
          ostime = stime
        else
          ostime = stimex
        end if
        if( etime.lt.etimex ) then
          oetime = etime
        else
          oetime = etimex
        end if
        otime  = tdiff( ostime, oetime )
        dd = otime / 1440
        hh = (otime - dd*1440) / 60
        mm = otime - hh*60 - dd*1440
        write(*,'(6a,3i2.2)') window,': overlap=', ostime,
     &            '-', oetime,' duration (ddhhmm) =', dd,hh,mm
   30 continue

 9999 stop

 1002 format(a8,1x,i3,1x,i1,1x,a19,'-',a19,1x,f6.3)
      end
